<?php
/*------------------------------------------------------------------------
# mod_articles_recentlyhit - Recently Hit Articles
# ------------------------------------------------------------------------
# author    Jesús Vargas Garita
# copyright Copyright (C) 2010 munditico.com. All Rights Reserved.
# @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
# Websites: http://www.munditico.com
# Technical Support:  Forum - http://www.munditico.com/forum
-------------------------------------------------------------------------*/

defined('_JEXEC') or die;

jimport('joomla.form.formfield');

class JFormFieldPlgCheck extends JFormField {
	
	protected $type = 'plgcheck';

	protected function getInput(){
		$db = JFactory::getDbO();
		$db->setQuery("SELECT enabled FROM #__extensions WHERE element='recentlyhit'");
		$result = $db->loadResult();
		
		if($result===null) :
			$colors = array('#f2dede','#eed3d7');
			$text   = JTEXT::_('MOD_RECENTLYHIT_PLUGIN_NOT_INSTALLED');
		else :
			if(!$result) :
				$colors = array('#fcf8e3','#f2dede');
				$text   = JTEXT::_('MOD_RECENTLYHIT_PLUGIN_NOT_ENABLED');
			else :
				$colors = array('#dff0d8','#d6e9c6');
				$text   = JTEXT::_('MOD_RECENTLYHIT_PLUGIN_OK');
			endif;		
		endif;
		
		$html = '<div style="background-color:'.$colors[0].';border:1px solid '.$colors[1].';border-radius:4px;padding:5px;">' . $text . '</div>';
	
		return $html;
	}
}